import {Component} from '@angular/core';
import {LetterComponent} from "../letter/letter.component";
import {NgForOf, NgIf} from "@angular/common";
import sentences from "./sentenceProvider";

@Component({
  selector: 'app-challenge',
  standalone: true,
    imports: [
        LetterComponent,
        NgForOf,
        NgIf
    ],
  templateUrl: './challenge.component.html',
  styleUrl: './challenge.component.scss'
})
export class ChallengeComponent {
  text = this.getSentence();
  enteredText = "";

  getSentence() {
      const sentenceArray = sentences.split('\n');
      return sentenceArray[Math.floor(Math.random() * sentenceArray.length)];
  }


  getText() {
    return this.text.split('');
  }

  onChangeInput($event: Event) {
    const target = $event.target as HTMLInputElement;
    this.enteredText = target.value;

    const trimmedText = this.text.trim();
    const trimmedEnteredText = this.enteredText.trim();
    for (let i = 0; i < trimmedText.length; i++) {
        if (trimmedText.charCodeAt(i) !== trimmedEnteredText.charCodeAt(i)) {
            console.log(`Difference at position ${i}: '${trimmedText[i]}' (${trimmedText.charCodeAt(i)}) vs '${trimmedEnteredText[i]}' (${trimmedEnteredText.charCodeAt(i)})`);
        }
    }

  }

  nextSentence() {
    // Shitty way to do this, but no knowledge of a better way at the moment
    window.location.reload();
  }
}
