import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-letter',
  standalone: true,
  imports: [],
  templateUrl: './letter.component.html',
  styleUrl: './letter.component.scss'
})
export class LetterComponent {
  @Input() letter: string = " ";
  @Input() entered: boolean = false;
  @Input() correct: boolean = false;
  @Input() isNext: boolean = false;

  getColor() {
    if(!this.entered) {
      return '';
    }

    if (this.correct) {
      return 'text-green-500';
    } else {
      return 'text-red-500';
    }
  }

  getSize() {
    if(this.isNext) {
      return 'font-bold';
    }
    return "";
  }

  getEncodedLetter() {
    return this.letter.replace(' ', '\u00A0');
  }
}
